Package org.eclipse.emf.cdo.lm.reviews

# Class ModelReference

java.lang.Object
org.eclipse.emf.cdo.lm.reviews.ModelReference

public final class ModelReference extends Object

Since:
  1.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ModelReference.Builder`
`static interface`
`ModelReference.Extractor`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`ModelReference(String data)`
`ModelReference(String type, List<String> properties)`

## Method Summary

Modifier and Type
Method
Description
`static ModelReference.Builder`
`builder(String type)`
`static ModelReference.Builder`
`builder(String type, String... properties)`
`boolean`
`equals(Object obj)`
`List<String>`
`getProperties()`
`String`
`getType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SEPARATOR

public static final char SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### ModelReference

public ModelReference(String data)

### ModelReference

public ModelReference(String type, List<String> properties)

## Method Details

### getType

public String getType()

### getProperties

public List<String> getProperties()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### builder

public static ModelReference.Builder builder(String type)

### builder

public static ModelReference.Builder builder(String type, String... properties)